Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 196360 - Keywording of gnome-extra/yelp-2.20.0
Summary: Keywording of gnome-extra/yelp-2.20.0
Status: RESOLVED CANTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: PPC Linux
: High normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords: KEYWORDREQ
: 196357 (view as bug list)
Depends on:
Blocks: gnome2.20
  Show dependency tree
 
Reported: 2007-10-19 06:59 UTC by Thomas
Modified: 2008-05-27 19:51 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas 2007-10-19 06:59:45 UTC
yelp-2.20.0 compiles on ppc; keyword should be added

Reproducible: Always

Steps to Reproduce:
1. emerge yelp
2.
3.




Portage 2.1.3.15 (default-linux/ppc/ppc64/2007.0/32bit-userland, gcc-4.2.2, glibc-2.6.1-r0, 2.6.22-gentoo-r8 ppc64)
=================================================================
System uname: 2.6.22-gentoo-r8 ppc64 PPC970, altivec supported
Timestamp of tree: Fri, 19 Oct 2007 06:20:01 +0000
app-shells/bash:     3.2_p17-r1
dev-java/java-config: 1.3.7, 2.1.2-r1
dev-lang/python:     2.4.4-r4, 2.5.1-r2
dev-python/pycrypto: 2.0.1-r6
sys-apps/baselayout: 1.12.10-r5
sys-apps/sandbox:    1.2.18.1-r1
sys-devel/autoconf:  2.13, 2.61-r1
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.24
virtual/os-headers:  2.6.23
ACCEPT_KEYWORDS="ppc ~ppc"
CBUILD="powerpc-unknown-linux-gnu"
CFLAGS="-O2 -pipe -maltivec -mabi=altivec -mcpu=G5"
CHOST="powerpc-unknown-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/revdep-rebuild /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks metadata-transfer sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp://ftp.tu-clausthal.de/pub/linux/gentoo/ ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gentoo http://ftp.uni-erlangen.de/pub/mirrors/gentoo ftp://ftp.join.uni-muenster.de/pub/linux/distributions/gentoo http://mirrors.sec.informatik.tu-darmstadt.de/gentoo/ http://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/ "
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --filter=H_**/files/digest-*"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.de.gentoo.org/gentoo-portage"
USE="X acl alsa berkdb bitmap-fonts cdr cli cracklib crypt cups dri dvd fortran freetype gcc64 gcj gdbm gnome gpm gtk hal iconv ipv6 isdnlog java jpeg midi mudflap ncurses nls nptl nptlonly openmp pam pcre perl png ppc pppd python readline reflection session sound spell spl ssl tcpd threads toolkit-scroll-bars truetype-fonts type1-fonts unicode xft xorg xpm zlib" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="dummy fbdev mach64 mga nv r128 radeon sisusb v4l"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY
Comment 1 Mart Raudsepp gentoo-dev 2007-10-19 16:57:13 UTC
*** Bug 196357 has been marked as a duplicate of this bug. ***
Comment 2 Mart Raudsepp gentoo-dev 2007-10-19 17:17:55 UTC
Hello arches,

Gnome-2.20 now uses a new help catalog system called rarian. While packages can work with either scrollkeeper or rarian (rarian provides a scrollkeeper compatibility layer), the yelp help browser in 2.20 requires it, as it actually makes use of the catalogs, not just install them.

As app-text/rarian is a new package, it misses most arches keywords, therefore please test and keyword the following packages:

app-text/rarian
app-text/scrollkeeper-9999
gnome-extra/yelp-2.20.0


scrollkeeper-9999 is just a migration helper that merely PDEPEND's on rarian to be able to not need to convert strictly to rarian yet (many things depend on scrollkeeper to install scrollkeeper OMF catalogs, while rarian provides necessary tools as well).
Testing can be done with yelp-2.20.0 and rarian-example command-line tool, which should show all the user documentation of GNOME and other GNOMEish packages, but also man and info pages.

BSD is CC'ed for sparc-bsd purposes - x86-bsd is already done.
Comment 3 Mart Raudsepp gentoo-dev 2007-10-19 17:24:03 UTC
Additionally I had to drop alpha, hppa, ia64, ppc, and sparc keywords on gnome-base/gnome-2.20.0, as it has yelp-2.20 dependency. Please re-keyword the latest gnome-base/gnome-2.20.* as well, once you are done with yelp.
Comment 4 Jeroen Roovers (RETIRED) gentoo-dev 2007-10-19 20:36:57 UTC
Fixed that for HPPA, and media-video/totem-2.20.0 while I was at it, thanks to mr_bones.
Comment 5 Raúl Porcel (RETIRED) gentoo-dev 2007-10-22 11:27:42 UTC
~alpha done, readding hppa as they're missing gnome-base/gnome-2.20.0

as leio already knows, rarian segfaults on ia64 and sparc...
Comment 6 Roy Marples (RETIRED) gentoo-dev 2007-10-22 12:01:18 UTC
Works fine on sparc-fbsd.
Comment 7 Raúl Porcel (RETIRED) gentoo-dev 2007-10-23 19:27:03 UTC
rarian was fixed, so ~ia64 and ~sparc are done
Comment 8 Markus Rothe (RETIRED) gentoo-dev 2007-10-28 15:47:03 UTC
added ~ppc64
Comment 9 nixnut (RETIRED) gentoo-dev 2007-11-17 16:41:31 UTC
~ppc added
Comment 10 Gilles Dartiguelongue gentoo-dev 2008-02-02 12:56:35 UTC
@sh, 2.16 is your last keyworded version, please test and keyword 2.20 or you'll loose your keyword on yelp when 2.22 enters the tree.

@arm, your last keyword is 2.18 but we expect to clean it too when 2.22 hits the tree. Thanks for testing and keywording yelp 2.20 before that happens.
Comment 11 Gilles Dartiguelongue gentoo-dev 2008-04-23 09:12:05 UTC
no keywords on all releases for these arches and no word about their intention to add one, punting.
Comment 12 Rémi Cardona gentoo-dev 2008-05-27 19:51:58 UTC
No word from arm and s390 on this. Their loss. Closing